## GntMenuItemCheck

GntMenuItemCheck — A menu item with a check box

## Functions

#define | GNT_MENU_ITEM_CHECK_FLAGS()
#define | GNT_MENU_ITEM_CHECK_SET_FLAGS()
#define | GNT_MENU_ITEM_CHECK_UNSET_FLAGS()
GType | gnt_menuitem_check_get_gtype ()
GntMenuItem * | gnt_menuitem_check_new ()
gboolean | gnt_menuitem_check_get_checked ()
void | gnt_menuitem_check_set_checked ()

## Types and Values

struct | GntMenuItemCheck
| GntMenuItemCheckPriv

## Description

## Functions

### GNT_MENU_ITEM_CHECK_FLAGS()

    #define             GNT_MENU_ITEM_CHECK_FLAGS(obj)

`GNT_MENU_ITEM_CHECK_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_MENU_ITEM_CHECK_SET_FLAGS()

    #define             GNT_MENU_ITEM_CHECK_SET_FLAGS(obj, flags)

`GNT_MENU_ITEM_CHECK_SET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_MENU_ITEM_CHECK_UNSET_FLAGS()

    #define             GNT_MENU_ITEM_CHECK_UNSET_FLAGS(obj, flags)

`GNT_MENU_ITEM_CHECK_UNSET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### gnt_menuitem_check_get_gtype ()

    GType
    gnt_menuitem_check_get_gtype (void);

#### Returns

GType for GntMenuItemCheck.

### gnt_menuitem_check_new ()

    GntMenuItem *
    gnt_menuitem_check_new (const char *text);

Create a new menuitem.

#### Parameters

text | The text for the menuitem. |

#### Returns

The newly created menuitem.

### gnt_menuitem_check_get_checked ()

    gboolean
    gnt_menuitem_check_get_checked (GntMenuItemCheck *item);

Check whether the menuitem is checked or not.

#### Parameters

item | The menuitem. |

#### Returns

`TRUE` if the item is checked, `FALSE` otherwise.

### gnt_menuitem_check_set_checked ()

    void
    gnt_menuitem_check_set_checked (GntMenuItemCheck *item,
                                    gboolean set);

Set whether the menuitem is checked or not.

#### Parameters

item | The menuitem. |
set | `TRUE` if the item should be checked, `FALSE` otherwise. |

## Types and Values

### struct GntMenuItemCheck

    struct GntMenuItemCheck {
    	GntMenuItem parent;
    	gboolean GNTSEAL(checked);
    };

Access to any fields is deprecated. See inline comments for replacements.

### GntMenuItemCheckPriv

    typedef struct _GntMenuItemCheckPriv GntMenuItemCheckPriv;

`GntMenuItemCheckPriv` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

## See Also

GntMenu GntMenuItem